## python-gnocchiclient 7.0.5

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.4
cliff>=2.10 # Apache-2.0
ujson
keystoneauth1>=2.0.0
six
futurist
iso8601
monotonic
python-dateutil
debtcollector

=== debian/changelog ===
python-gnocchiclient (7.0.5-0ubuntu2) eoan; urgency=medium

  * Drop Python 2 support:
    - d/control: Drop python-gnocchiclient binary package.
    - d/control: Drop BDI's on python-*.
    - d/control: Switch doc generation to python3-sphinx.
    - d/rules: Skip install and test of Python 2 module.
    - d/*.postinst,prerm,postrm: Drop maintainer scripts as binaries
      no longer managed by alternatives.
  * d/p/py3-compat.patch: Minor compat patch for generation of
    documentation under Python 3.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jul 2019 07:39:14 +0100

python-gnocchiclient (7.0.5-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Ensure python3 shebangs are set to /usr/bin/python3.
  * d/p/drop-ujson.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 12:23:33 -0500

=== debian/control ===
Source: python-gnocchiclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 1.8),
 python-setuptools,
 python3-sphinx,
 python3-all,
 python3-pbr (>= 1.8),
 python3-setuptools,
Build-Depends-Indep:
 python3-cliff (>= 2.10),
 python3-dateutil,
 python3-debtcollector,
 python3-fixtures,
 python3-futurist,
 python3-iso8601,
 python3-keystoneauth1 (>= 2.0.0),
 python3-keystonemiddleware,
 python3-monotonic,
 python3-openstackclient,
 python3-osc-lib (>= 0.3.0),
 python3-pytest,
 python3-pytest-xdist,
 python3-six,
 python3-testscenarios,
 python3-testtools (>= 1.4.0),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-gnocchiclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-gnocchiclient
Homepage: http://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-gnocchiclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: bindings to the OpenStack Gnocchi API - doc
 This is a client for OpenStack gnocchi API. There's a Python API (the
 gnocchiclient module), and a command-line script. Each implements the entire
 OpenStack Gnocchi API.
 .
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the documentation.

Package: python3-gnocchiclient
Architecture: all
Depends:
 python3-cliff (>= 2.10),
 python3-dateutil,
 python3-debtcollector,
 python3-futurist,
 python3-iso8601,
 python3-keystoneauth1 (>= 2.0.0),
 python3-monotonic,
 python3-osc-lib (>= 0.3.0),
 python3-pbr (>= 1.8),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-gnocchiclient-doc,
Description: bindings to the OpenStack Gnocchi API - Python 3.x
 This is a client for OpenStack gnocchi API. There's a Python API (the
 gnocchiclient module), and a command-line script. Each implements the entire
 OpenStack Gnocchi API.
 .
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pytest-3 gnocchiclient/tests/unit
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-gnocchiclient-doc/usr/share/doc/python-gnocchiclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-gnocchiclient 7.0.6

=== debian/changelog ===
python-gnocchiclient (7.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 12:21:03 +0200

python-gnocchiclient (7.0.4-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:19:40 +0200

python-gnocchiclient (7.0.4-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 05:01:34 +0200

python-gnocchiclient (7.0.4-1) experimental; urgency=medium

  * Add bash-completion script.
  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 09:56:04 +0100

=== debian/control ===
Source: python-gnocchiclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-dateutil,
 python3-debtcollector,
 python3-distutils,
 python3-futurist,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystonemiddleware <!nocheck>,
 python3-monotonic,
 python3-openstackclient,
 python3-osc-lib,
 python3-pytest <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-six,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-testscenarios <!nocheck>,
 python3-ujson,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-gnocchiclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-gnocchiclient.git
Homepage: https://github.com/gnocchixyz/python-gnocchiclient

Package: python-gnocchiclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: bindings to the OpenStack Gnocchi API - doc
 This is a client for OpenStack gnocchi API. There's a Python API (the
 gnocchiclient module), and a command-line script. Each implements the entire
 OpenStack Gnocchi API.
 .
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the documentation.

Package: python3-gnocchiclient
Architecture: all
Depends:
 python3-cliff,
 python3-dateutil,
 python3-debtcollector,
 python3-distutils,
 python3-futurist,
 python3-iso8601,
 python3-keystoneauth1,
 python3-monotonic,
 python3-pbr,
 python3-six,
 python3-ujson,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-gnocchiclient-doc,
Description: bindings to the OpenStack Gnocchi API - Python 3.x
 This is a client for OpenStack gnocchi API. There's a Python API (the
 gnocchiclient module), and a command-line script. Each implements the entire
 OpenStack Gnocchi API.
 .
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT=https://github.com/gnocchixyz/python-gnocchiclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Generate bash completion
	mkdir -p $(CURDIR)/debian/python3-gnocchiclient/usr/share/bash-completion/completions
	PYTHONPATH=$(CURDIR)/debian/python3-gnocchiclient/usr/lib/python3/dist-packages \
		PATH=$(PATH):$(CURDIR)/debian/python3-gnocchiclient/usr/bin \
		gnocchi complete \
		>$(CURDIR)/debian/python3-gnocchiclient/usr/share/bash-completion/completions/gnocchi
	sed -i 's#complete -F _python3_gnocchi python3-gnocchi#complete -F _python3_gnocchi gnocchi#' \
		$(CURDIR)/debian/python3-gnocchiclient/usr/share/bash-completion/completions/gnocchi

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		PYTHON=python$$i PYTHONPATH=. python$$i -m pytest gnocchiclient/tests/unit ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	if ! export LANG=C.UTF-8 && export LC_ALL=C.UTF-8 && PATH=$$PATH:$(CURDIR)/debian/bin PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-gnocchiclient-doc/usr/share/doc/python-gnocchiclient-doc/html ; then \
		cat /tmp/sphinx-err* ; \
		exit 1 ; \
	fi
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-gnocchiclient 7.0.7

=== debian/changelog ===
python-gnocchiclient (7.0.7-0ubuntu2) impish; urgency=medium

  * d/control: Drop python-pbr, python2 build depends.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 23 Jun 2021 08:04:27 +0000

python-gnocchiclient (7.0.7-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 22 Mar 2021 16:40:43 -0400

python-gnocchiclient (7.0.6-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Victoria.
  * d/control: Update Standards-Version to 4.5.0.
  * d/control: Bump debhelper compat to 12.

  [ Corey Bryant ]
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 Jun 2020 16:16:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,40 @@
 Source: python-gnocchiclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
+ python3-sphinx,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 1.4),
  python3-setuptools,
- python3-sphinx,
 Build-Depends-Indep:
- python3-cliff,
+ python3-cliff (>= 2.10),
  python3-dateutil,
  python3-debtcollector,
- python3-distutils,
+ python3-fixtures,
  python3-futurist,
- python3-hacking,
  python3-iso8601,
- python3-keystoneauth1,
- python3-keystonemiddleware <!nocheck>,
+ python3-keystoneauth1 (>= 2.0.0),
+ python3-keystonemiddleware,
  python3-monotonic,
  python3-openstackclient,
- python3-osc-lib,
- python3-pytest <!nocheck>,
- python3-pytest-xdist <!nocheck>,
+ python3-osc-lib (>= 0.3.0),
+ python3-pytest,
+ python3-pytest-xdist,
  python3-six,
- python3-sphinx-rtd-theme <!nodoc>,
- python3-testscenarios <!nocheck>,
- python3-ujson,
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-gnocchiclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-gnocchiclient.git
-Homepage: https://github.com/gnocchixyz/python-gnocchiclient
+ python3-testscenarios,
+ python3-testtools (>= 1.4.0),
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-gnocchiclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-gnocchiclient
+Homepage: https://www.openstack.org/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-gnocchiclient-doc
 Section: doc
@@ -56,17 +56,16 @@
 Package: python3-gnocchiclient
 Architecture: all
 Depends:
- python3-cliff,
+ python3-cliff (>= 2.10),
  python3-dateutil,
  python3-debtcollector,
- python3-distutils,
  python3-futurist,
  python3-iso8601,
- python3-keystoneauth1,
+ python3-keystoneauth1 (>= 2.0.0),
  python3-monotonic,
- python3-pbr,
+ python3-osc-lib (>= 0.3.0),
+ python3-pbr (>= 1.4),
  python3-six,
- python3-ujson,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gnocchiclient

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pytest-3 gnocchiclient/tests/unit
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-gnocchiclient-doc/usr/share/doc/python-gnocchiclient-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-gnocchiclient 7.0.8

=== debian/changelog ===
python-gnocchiclient (7.0.8-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release.
  * d/control: Drop pbr and monotonic from (Build-)Depends as no longer
    used.
  * d/p/py3-compat.patch: Drop, no longer required.
  * d/rules: Set PYTHONPATH for document generation.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 12:58:46 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  openstack-pkg-tools,
  python3-sphinx,
  python3-all,
- python3-pbr (>= 1.4),
  python3-setuptools,
 Build-Depends-Indep:
  python3-cliff (>= 2.10),
@@ -22,7 +21,6 @@
  python3-iso8601,
  python3-keystoneauth1 (>= 2.0.0),
  python3-keystonemiddleware,
- python3-monotonic,
  python3-openstackclient,
  python3-osc-lib (>= 0.3.0),
  python3-pytest,
@@ -62,9 +60,7 @@
  python3-futurist,
  python3-iso8601,
  python3-keystoneauth1 (>= 2.0.0),
- python3-monotonic,
  python3-osc-lib (>= 0.3.0),
- python3-pbr (>= 1.4),
  python3-six,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source debian/python-gnocchiclient-doc/usr/share/doc/python-gnocchiclient-doc/html
+	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source debian/python-gnocchiclient-doc/usr/share/doc/python-gnocchiclient-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif

## python-gnocchiclient 7.1.0

=== debian/changelog ===
python-gnocchiclient (7.1.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:53:17 +0100

python-gnocchiclient (7.1.0-2) unstable; urgency=medium

  * Removed /usr/bin/cinder alternative removal in {pre,post}rm.
  * Uploading to unstable.
  * Fix doc generation.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 09:55:28 +0200

python-gnocchiclient (7.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Aug 2024 10:59:01 +0200

python-gnocchiclient (7.0.8-2) unstable; urgency=medium

  * Removed distutils (build-)depends (Closes: #1076124).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2024 12:58:09 +0200

python-gnocchiclient (7.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Removed python3-monotonic from (build-)depends.
  * Switch to pybuild.
  * Set SETUPTOOLS_SCM_PRETEND_VERSION and b-d on python3-setuptools-scm.
  * Fix generating bash-completion.

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 May 2024 13:21:31 +0200

python-gnocchiclient (7.0.7-6) unstable; urgency=medium

  * Drop dependencies on python3-distutils (Closes: #1065929).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 08:34:34 +0100

python-gnocchiclient (7.0.7-5) unstable; urgency=medium

  * Cleans better (Closes: #1045269).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 10:42:23 +0200

python-gnocchiclient (7.0.7-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 12:08:46 +0200

python-gnocchiclient (7.0.7-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 10:39:28 +0100

python-gnocchiclient (7.0.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 10:59:22 +0200

python-gnocchiclient (7.0.7-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Mar 2021 16:04:48 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT=https://github.com/gnocchixyz/python-gnocchiclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~git.*//' -e 's/~/.0/' -e 's/+dfsg1//' -e 's/+ds1//' | head -n 1)
export PYBUILD_NAME=gnocchiclient

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build
	find .  -type d -name __pycache__ -exec rm -r {} \+
	dh_auto_clean

override_dh_install:
	dh_install
	# Generate bash completion
	mkdir -p $(CURDIR)/debian/python3-gnocchiclient/usr/share/bash-completion/completions
	PYTHONPATH=$(CURDIR)/.pybuild/cpython3_`py3versions -d -v`_gnocchiclient/build \
		PATH=$(PATH):$(CURDIR)/debian/python3-gnocchiclient/usr/bin \
		gnocchi complete \
		>$(CURDIR)/debian/python3-gnocchiclient/usr/share/bash-completion/completions/gnocchi
	sed -i 's#complete -F _python3_gnocchi python3-gnocchi#complete -F _python3_gnocchi gnocchi#' \
		$(CURDIR)/debian/python3-gnocchiclient/usr/share/bash-completion/completions/gnocchi

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		PYTHON=python$$i PYTHONPATH=. python$$i -m pytest gnocchiclient/tests/unit ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	export LANG=C.UTF-8 ; export LC_ALL=C.UTF-8 ; set -e ; set -x ; if ! PATH=$$PATH:$(CURDIR)/debian/bin PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-gnocchiclient-doc/usr/share/doc/python-gnocchiclient-doc/html ; then \
		cat /tmp/sphinx-err* ; \
		exit 1 ; \
	fi
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-gnocchiclient 7.2.0

=== debian/changelog ===
python-gnocchiclient (7.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:17:03 +0200

python-gnocchiclient (7.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Sep 2025 08:38:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,38 @@
 Source: python-gnocchiclient
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
+ python3-all,
+ pybuild-plugin-pyproject,
+ python3-setuptools,
+ python3-setuptools-scm,
  python3-sphinx,
- python3-all,
- python3-setuptools,
 Build-Depends-Indep:
- python3-cliff (>= 2.10),
+ python3-cliff,
  python3-dateutil,
  python3-debtcollector,
- python3-fixtures,
  python3-futurist,
+ python3-hacking,
  python3-iso8601,
- python3-keystoneauth1 (>= 2.0.0),
- python3-keystonemiddleware,
+ python3-keystoneauth1,
+ python3-keystonemiddleware <!nocheck>,
  python3-openstackclient,
- python3-osc-lib (>= 0.3.0),
- python3-pytest,
- python3-pytest-xdist,
- python3-six,
- python3-testscenarios,
- python3-testtools (>= 1.4.0),
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-gnocchiclient
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-gnocchiclient
-Homepage: https://www.openstack.org/
-Testsuite: autopkgtest-pkg-python
+ python3-osc-lib,
+ python3-pytest <!nocheck>,
+ python3-pytest-xdist <!nocheck>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-testscenarios <!nocheck>,
+ python3-ujson,
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-gnocchiclient
+Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-gnocchiclient.git
+Homepage: https://github.com/gnocchixyz/python-gnocchiclient
 
 Package: python-gnocchiclient-doc
 Section: doc
@@ -54,14 +54,13 @@
 Package: python3-gnocchiclient
 Architecture: all
 Depends:
- python3-cliff (>= 2.10),
+ python3-cliff,
  python3-dateutil,
  python3-debtcollector,
  python3-futurist,
  python3-iso8601,
- python3-keystoneauth1 (>= 2.0.0),
- python3-osc-lib (>= 0.3.0),
- python3-six,
+ python3-keystoneauth1,
+ python3-ujson,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/gnocchixyz/python-gnocchiclient/tags .*/(\d[brc\d\.]+)\.tar\.gz
